apiVersion: apps/v1
kind: Deployment
metadata:
  name: user-deploy
  namespace: hgzero
spec:
  replicas: 3
  template:
    spec:
      containers:
        - name: user-container
          resources:
            requests:
              cpu: "1024m"
              memory: "1024Mi"
            limits:
              cpu: "4096m"
              memory: "4096Mi"
